{
   "format_version":"1.20.80",
   "minecraft:block":{
      "description":{
         "identifier":"sgs_farm:bottle_rack",
         "menu_category":{
            "category": "none",
			"group": "none",
			"is_hidden_in_commands": false
         },
         "states":{
            "sgs_farm:rack_sections":[
               0,
               1,
               2,
               3
            ],
            "sgs_farm:type":[
               0,1,2,3,4,5,6,7,8,9,10,11,12,13,14
            ]
         }
      },
      "components":{
         "minecraft:display_name":"Bottle Rack\n§nHolds up to 4 Bottles§r\n§o§2Crops & Farms§r",
		 "minecraft:loot": "loot_tables/sgs/farm/blocks/misc/bottle_rack.json",  
		 "minecraft:custom_components":[
            "sgs_farm:glass_rack"
         ],
         "minecraft:geometry":{
            "identifier":"geometry.sgs_farm_dec_bottle_glass",
            "bone_visibility":{
               "bottle_empty_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 1",
			   "bottle_grape_red_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 2",
			   "bottle_grape_green_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 3",
			   "bottle_orange_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 4",
			   "bottle_lemon_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 5",
			   "bottle_lime_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 6",
			   "bottle_apple_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 7",
			   "bottle_pear_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 8",
			   "bottle_peach_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 9",
			   "bottle_cherry_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 10",
			   "bottle_passionfruit_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 11",
			   "bottle_pineapple_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 12",
			   "bottle_currant_red_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 13",
			   "bottle_currant_black_1":"q.block_state('sgs_farm:rack_sections') >= 0 && q.block_state('sgs_farm:type') == 14",
			   
			   "bottle_empty_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 1",
			   "bottle_grape_red_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 2",
			   "bottle_grape_green_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 3",
			   "bottle_orange_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 4",
			   "bottle_lemon_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 5",
			   "bottle_lime_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 6",
			   "bottle_apple_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 7",
			   "bottle_pear_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 8",
			   "bottle_peach_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 9",
			   "bottle_cherry_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 10",
			   "bottle_passionfruit_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 11",
			   "bottle_pineapple_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 12",
			   "bottle_currant_red_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 13",
			   "bottle_currant_black_2":"q.block_state('sgs_farm:rack_sections') >= 1 && q.block_state('sgs_farm:type') == 14",
			   
			   "bottle_empty_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 1",
			   "bottle_grape_red_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 2",
			   "bottle_grape_green_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 3",
			   "bottle_orange_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 4",
			   "bottle_lemon_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 5",
			   "bottle_lime_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 6",
			   "bottle_apple_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 7",
			   "bottle_pear_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 8",
			   "bottle_peach_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 9",
			   "bottle_cherry_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 10",
			   "bottle_passionfruit_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 11",
			   "bottle_pineapple_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 12",
			   "bottle_currant_red_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 13",
			   "bottle_currant_black_3":"q.block_state('sgs_farm:rack_sections') >= 2 && q.block_state('sgs_farm:type') == 14",
			   
			   "bottle_empty_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 1",
			   "bottle_grape_red_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 2",
			   "bottle_grape_green_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 3",
			   "bottle_orange_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 4",
			   "bottle_lemon_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 5",
			   "bottle_lime_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 6",
			   "bottle_apple_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 7",
			   "bottle_pear_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 8",
			   "bottle_peach_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 9",
			   "bottle_cherry_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 10",
			   "bottle_passionfruit_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 11",
			   "bottle_pineapple_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 12",
			   "bottle_currant_red_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 13",
			   "bottle_currant_black_4":"q.block_state('sgs_farm:rack_sections') >= 3 && q.block_state('sgs_farm:type') == 14"
            }
         },
         "minecraft:light_dampening":0,
         "minecraft:material_instances":{
            "*":{
               "face_dimming":true,
               "ambient_occlusion":false,
               "render_method":"alpha_test",
               "texture":"sgs_farm_bottle_glass"
            }
         },
         "minecraft:selection_box":{
            "origin": [
				-8,
				0,
				-8
			],
			"size": [
				16,
				16,
				16
			]
         },
		 "minecraft:collision_box":{
			"origin": [
				-8,
				0,
				-8
			],
			"size": [
				16,
				16,
				16
			]
		 }
      },
      "permutations":[
      ]
   }
}